# sbis3-node-ws

Модуль позволяет использовать ядро интерфейсного фреймворка sbis3-ws(`core.js`) и модуль работы с данными (`Source.js`) в приложении на nodejs.

## Использование

    npm install sbis3-node-ws

## Инициализация

    var
       sbis3ws = require('sbis3-node-ws')([params]),
       $ws = sbis3ws.ws;
       
`params` - необязательный параметр пердставляет из себя объект с двумя полями
   
    {
       wsConfig: {},  // конфигурация ядра
       wsBindings: {} // биндинги
    }

## jsonrpc

Так же модуль предоставляет мидлвару, позволяющую обробатывать входящие jsonprc запросы
 
Пример:

    var
       sbis3ws = require('sbis3-node-ws')(),
       $ws = sbis3ws.ws,
       express  = require("express"),
       app = express();
    
    ...
    app.post('/service/', sbis3ws.jsonrpcParser, function(req, res){
       // req.body.method - имя метода например "Контрагент.ПолучитьПоЛицу"
       // req.body.params - параметры десериализованные параметры переданные в метод
       
       if (req.body.method == "Контрагент.ПолучитьПоЛицу"){
          //do something   
          var record = new $ws.proto.Record();
          record.addColumn("Строка", $ws.proto.Record.FIELD_TYPE_STRING);
          record.set("Строка", "Значение");
          res.status(200).json(record);
       }
       else{
          res.status(404).json(new Error("Метод не найден!"));
       }
    });
    ...

